// Machine generated IDispatch wrapper class(es) created with ClassWizard

#include "stdafx.h"
#include "usbpassw.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif



/////////////////////////////////////////////////////////////////////////////
// _uPassWrite properties

/////////////////////////////////////////////////////////////////////////////
// _uPassWrite operations

CString _uPassWrite::GetTBack_DiskName()
{
	CString result;
	InvokeHelper(0x68030034, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

CString _uPassWrite::GetTBack_DrvKeyNumber()
{
	CString result;
	InvokeHelper(0x68030033, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

DATE _uPassWrite::GetTBack_RegDate()
{
	DATE result;
	InvokeHelper(0x68030032, DISPATCH_PROPERTYGET, VT_DATE, (void*)&result, NULL);
	return result;
}

CString _uPassWrite::GetTBack_SoftCode()
{
	CString result;
	InvokeHelper(0x68030031, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

CString _uPassWrite::GetTBack_UnitName()
{
	CString result;
	InvokeHelper(0x68030030, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

CString _uPassWrite::GetTBack_CustomA()
{
	CString result;
	InvokeHelper(0x6803002f, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

CString _uPassWrite::GetTBack_CustomB()
{
	CString result;
	InvokeHelper(0x6803002e, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

BOOL _uPassWrite::GetTBack_IsTime()
{
	BOOL result;
	InvokeHelper(0x6803002d, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
	return result;
}

double _uPassWrite::GetTBack_UseTime()
{
	double result;
	InvokeHelper(0x6803002c, DISPATCH_PROPERTYGET, VT_R8, (void*)&result, NULL);
	return result;
}

BOOL _uPassWrite::GetTBack_IsFate()
{
	BOOL result;
	InvokeHelper(0x6803002b, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
	return result;
}

double _uPassWrite::GetTBack_UseFate()
{
	double result;
	InvokeHelper(0x6803002a, DISPATCH_PROPERTYGET, VT_R8, (void*)&result, NULL);
	return result;
}

BOOL _uPassWrite::GetTBack_IsAll()
{
	BOOL result;
	InvokeHelper(0x68030029, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
	return result;
}

DATE _uPassWrite::GetTBack_LastDate()
{
	DATE result;
	InvokeHelper(0x68030028, DISPATCH_PROPERTYGET, VT_DATE, (void*)&result, NULL);
	return result;
}

CString _uPassWrite::GetTBack_AnnexInfo()
{
	CString result;
	InvokeHelper(0x68030027, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

short _uPassWrite::GetTBack_MsgNo()
{
	short result;
	InvokeHelper(0x68030026, DISPATCH_PROPERTYGET, VT_I2, (void*)&result, NULL);
	return result;
}

CString _uPassWrite::GetTBack_MsgStr()
{
	CString result;
	InvokeHelper(0x68030025, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

BOOL _uPassWrite::PassAbout()
{
	BOOL result;
	InvokeHelper(0x60030035, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
	return result;
}

BOOL _uPassWrite::PassCreate(LPCTSTR Ad_PWD, LPCTSTR User_Pwd)
{
	BOOL result;
	static BYTE parms[] =
		VTS_BSTR VTS_BSTR;
	InvokeHelper(0x60030036, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms,
		Ad_PWD, User_Pwd);
	return result;
}

BOOL _uPassWrite::PassClear(LPCTSTR Ad_PWD)
{
	BOOL result;
	static BYTE parms[] =
		VTS_BSTR;
	InvokeHelper(0x60030037, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms,
		Ad_PWD);
	return result;
}

BOOL _uPassWrite::ChangePassWD(LPCTSTR OLD_PassWD, LPCTSTR NEW_PassWD, LPCTSTR Ad_PWD, short Pw_type)
{
	BOOL result;
	static BYTE parms[] =
		VTS_BSTR VTS_BSTR VTS_BSTR VTS_I2;
	InvokeHelper(0x60030038, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms,
		OLD_PassWD, NEW_PassWD, Ad_PWD, Pw_type);
	return result;
}
